%define name_source yachat-source

%define branch_point alt0
%define branch M40
%define revision 1

Name: ya_online
Version: 2.00
Release: %branch_point.%branch.%revision

Group: Networking/Instant messaging
Summary: Yandex-chat is clone Psi Jabber client
Summary(ru_RU.UTF-8): Jabber клиент Psi
License: GPL
Url: http://nano.yandex.ru/project/online/
Source: %name_source.tar.gz
Patch0: yachat-version.2.00.patch
Provides: yachat

#BuildRequires: unzip
Requires: sound_handler ca-certificates
# Automatically added by buildreq on Sun Sep 07 2008
BuildRequires: gcc-c++ libXScrnSaver-devel libaspell-devel libcom_err-devel libqt4-devel

BuildRequires: fontconfig gcc-c++ libqt4-devel libqt4-sql libsasl2-devel libSM-devel libssl-devel libXScrnSaver-devel libaspell-devel
Requires: libqt4-core >= %{get_version libqt4-core} sox

%description 
Yandex chat (yapsi) is clone Psi. 
Psi is a Jabber Instant Messaging client based on Qt.  Jabber supports
gateways (transports) to other IM systems, such as ICQ, MSN, Yahoo and
AIM.  Psi supports many Jabber features, such as simulatenous login to
several servers, conferences, cryptographic abilities (via SSL and
GnuPG), connection via HTTP(S) proxy, etc.

%description -l ru_RU.UTF-8
Yandex chat - это клон Psi, ориентированный для работы с сервером Яндекс-онлайн
Psi - это удобный графический клиент сети быстрого обмена сообщениями
Jabber.  Jabber имеет шлюзы в другие сети, включая ICQ, MSN, Yahoo и
AIM.  Psi поддерживает такие возможности Jabber, как одновременная
работа с несколькими серверами, конференции, криптозащиту передаваемой
информации (через SSL и GnuPG), работу через HTTP(S) прокси-сервер и
т.д.

%prep
%setup -q -n %name_source
%patch -p1


%build
#chmod a+x configure
./configure --prefix=%prefix --bindir=%_bindir --datadir=%_datadir --qtdir=%_qt4dir --certstore-path=%_datadir/ca-certificates/ca-bundle.crt
lrelease-qt4 lang/qt_ru.ts
lrelease-qt4 lang/psi_ru.ts
%make


%install
%makeinstall INSTALL_ROOT=%buildroot
install -dm755 %buildroot%_datadir/yachat/lang/
install -Dm644 lang/*.qm %buildroot%_datadir/yachat/lang/

#rm -Rf %buildroot%_datadir/yapsi/{README,COPYING,certs}

%post
# menu
%update_menus

%postun
# menu
%clean_menus

%files
%defattr(0644,root,root,0755)
%doc README COPYING INSTALL TODO 
%attr(0755,root,root) %_bindir/*
%dir %_datadir/yachat
%_datadir/yachat/*
%_datadir/applications/yachat.desktop

%_iconsdir/hicolor/*/*/*.png

%changelog
* Sun Sep 07 2008 Hihin Ruslan <ruslandh@altlinux.ru> 2.00-alt0.M40.1
- version for Branch 4.0

* Sun Sep 07 2008 Hihin Ruslan <ruslandh@altlinux.ru> 2.00-alt1
- init version Yandex-chat
- spec based on yapsi.spec

* Mon Sep 01 2008 Anton Farygin <rider@altlinux.ru> 0.12-alt2.svn1173
- fixed psi mainwindow options (hide/unhide from tray)

